import request from '@/utils/request'

// 查询建筑类型列表
export function listType(query) {
  return request({
      url: '/system/buildType/list',
      method: 'get',
      params: query
  })
}

// 查询建筑类型详细
export function getType(recordId) {
  return request({
      url: '/system/buildType/' + recordId,
      method: 'get'
  })
}

// 新增建筑类型
export function addType(data) {
  return request({
      url: '/system/buildType',
      method: 'post',
      data: data
  })
}

// 修改建筑类型
export function updateType(data) {
  return request({
      url: '/system/buildType',
      method: 'put',
      data: data
  })
}

// 删除建筑类型
export function delType(recordId) {
  return request({
      url: '/system/buildType/' + recordId,
      method: 'delete'
  })
}

// 导出建筑类型
export function exportType(query) {
  return request({
      url: '/system/buildType/export',
      method: 'get',
      params: query
  })
}
